Bug 213115 - ifconfig ipfw create inside a VNET jail leads to kernel Panic
Summary: ifconfig ipfw create inside a VNET jail leads to kernel Panic
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.3-STABLE
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-net (Nobody)
URL:
Keywords: vimage
Depends on:
Blocks:
 
Reported: 2016-09-30 08:42 UTC by matthias+freebsd+bugzilla
Modified: 2017-05-02 04:44 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matthias+freebsd+bugzilla 2016-09-30 08:42:57 UTC
Hostsystem kernel compiles with IPFW.

VNET jail with IPFW enabled.

ifconfig ipfw create -> kernel panic.
Comment 1 Bjoern A. Zeeb freebsd_committer 2016-09-30 14:03:27 UTC
Should be fixed in 11.0.

There's still minor other bugs left related to tables in ipfw which cause problems but VIMAGE support in 11 should be much better.
Comment 2 Bjoern A. Zeeb freebsd_committer 2016-09-30 14:13:02 UTC
(In reply to Bjoern A. Zeeb from comment #1)

Oh, fixed in stable/11 and head as of last night.   So might be worth giving stable/11 a shot if you can.
Comment 3 Ed Maste freebsd_committer 2016-12-21 21:16:09 UTC
Can you test with 11.0?
Comment 4 matthias+freebsd+bugzilla 2017-01-10 09:03:31 UTC
(In reply to Ed Maste from comment #3)

tested with 11.0

It works as expected.